// swift-tools-version:5.0
import PackageDescription

let package = Package(
    name: "Demo",
    products: [],
    dependencies: [
        .package(url: "https://github.com/AccioSupport/AFNetworking.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Alamofire.git", .upToNextMajor(from: "4.8.2")),
        .package(url: "https://github.com/AccioSupport/animated-tab-bar.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Bagel.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Bond.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Cartography.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Chatto.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/CocoaAsyncSocket.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/CryptoSwift.git", .upToNextMajor(from: "0.15.0")),
        .package(url: "https://github.com/AccioSupport/Eureka.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/folding-cell.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/HanekeSwift.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Hero.git", .upToNextMajor(from: "1.4.0")),
        .package(url: "https://github.com/AccioSupport/JGProgressHUD.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Kingfisher.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/LayoutKit.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/lottie-ios.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/LTMorphingLabel.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Material.git", .revision("ddc8e15166e2e201912c11036d90c2a4eaf9b41b")),
        .package(url: "https://github.com/AccioSupport/MBProgressHUD.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Moya.git", .branch("development")),
        .package(url: "https://github.com/AccioSupport/Nimble.git", .upToNextMajor(from: "8.0.1")),
        .package(url: "https://github.com/AccioSupport/NVActivityIndicatorView.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/PromiseKit.git", .upToNextMajor(from: "6.8.4")),
        .package(url: "https://github.com/AccioSupport/Quick.git", .upToNextMajor(from: "2.0.0")),
        .package(url: "https://github.com/AccioSupport/realm-cocoa.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/ReSwift.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/RxSwift.git", .upToNextMajor(from: "4.4.2")),
        .package(url: "https://github.com/AccioSupport/Siren.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/SkeletonView.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/socket.io-client-swift.git", .upToNextMajor(from: "15.0.0")),
        .package(url: "https://github.com/AccioSupport/Spring.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/SQLite.swift.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/Starscream.git", .upToNextMajor(from: "3.1.0")),
        .package(url: "https://github.com/AccioSupport/SwiftDate.git", .upToNextMajor(from: "6.0.1")),
        .package(url: "https://github.com/AccioSupport/SwifterSwift.git", .upToNextMajor(from: "4.6.0")),
        .package(url: "https://github.com/AccioSupport/SwiftMessages.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/SwiftyStoreKit.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/SwiftyUserDefaults.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/XCDYouTubeKit.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/XLActionController.git", .branch("master")),
        .package(url: "https://github.com/AccioSupport/XLPagerTabStrip.git", .branch("master")),
    ],
    targets: [
        .target(
            name: "Demo-iOS",
            dependencies: [
                "AFNetworking",
                "Alamofire",
                "Bagel",
                "Bond",
                "Cartography",
                "Chatto",
                "ChattoAdditions",
                "CocoaAsyncSocket",
                "CryptoSwift",
                "Eureka",
                "FoldingCell",
                "Haneke",
                "Hero",
                "JGProgressHUD",
                "Kingfisher",
                "LayoutKit",
                "Lottie",
                "LTMorphingLabel",
                "Material",
                "MBProgressHUD",
                "Moya",
                "NVActivityIndicatorView",
                "PromiseKit",
                "RAMAnimatedTabBarController",
                "Realm",
                "RealmSwift",
                "ReSwift",
                "RxSwift",
                "Siren",
                "SkeletonView",
                "SocketIO",
                "Spring",
                "SQLite",
                "Starscream",
                "SwiftDate",
                "SwifterSwift",
                "SwiftMessages",
                "SwiftyStoreKit",
                "SwiftyUserDefaults",
                "XCDYouTubeKit",
                "XLActionController",
                "XLPagerTabStrip",
            ],
            path: "Demo-iOS"
        ),
        .testTarget(
            name: "Demo-iOSTests",
            dependencies: [
                "Nimble",
                "Quick",
            ],
            path: "Demo-iOSTests"
        ),
        .target(
            name: "Demo-tvOS",
            dependencies: [
                "AFNetworking",
                "Alamofire",
                "Bond",
                "Cartography",
                "CocoaAsyncSocket",
                "CryptoSwift",
                "Haneke",
                "Hero",
                "JGProgressHUD",
                "Kingfisher",
                "LayoutKit",
                "Lottie",
                "LTMorphingLabel",
                "Moya",
                "MBProgressHUD",
                "NVActivityIndicatorView",
                "PromiseKit",
                "Realm",
                "RealmSwift",
                "ReSwift",
                "RxSwift",
                "SkeletonView",
                "SocketIO",
                "SQLite",
                "Starscream",
                "SwiftDate",
                "SwifterSwift",
                "SwiftyStoreKit",
                "SwiftyUserDefaults",
                "XCDYouTubeKit",
            ],
            path: "Demo-tvOS"
        ),
        .testTarget(
            name: "Demo-tvOSTests",
            dependencies: [
                "Nimble",
                "Quick",
            ],
            path: "Demo-tvOSTests"
        ),
        .target(
            name: "Demo-macOS",
            dependencies: [
                "AFNetworking",
                "Alamofire",
                "Bond",
                "Cartography",
                "CocoaAsyncSocket",
                "CryptoSwift",
                "Kingfisher",
                "LayoutKit",
                "Lottie",
                "Moya",
                "PromiseKit",
                "Realm",
                "RealmSwift",
                "ReSwift",
                "RxSwift",
                "SocketIO",
                "SQLite",
                "Starscream",
                "SwiftDate",
                "SwifterSwift",
                "SwiftyStoreKit",
                "SwiftyUserDefaults",
                "XCDYouTubeKit",
            ],
            path: "Demo-macOS"
        ),
        .testTarget(
            name: "Demo-macOSTests",
            dependencies: [
                "Nimble",
                "Quick",
            ],
            path: "Demo-macOSTests"
        ),
        .target(
            name: "Demo-ShareExtension",
            dependencies: [
                "AFNetworking",
                "Alamofire",
                "Bagel",
                "Bond",
                "Cartography",
                "CocoaAsyncSocket",
                "CryptoSwift",
                "Eureka",
                "Haneke",
                "Kingfisher",
                "LayoutKit",
                "LTMorphingLabel",
                "MBProgressHUD",
                "Moya",
                "PromiseKit",
                "Realm",
                "RealmSwift",
                "ReSwift",
                "RxSwift",
                "SkeletonView",
                "SQLite",
                "Starscream",
                "SwiftDate",
                "SwiftyStoreKit",
                "SwiftyUserDefaults",
            ],
            path: "Demo-ShareExtension"
        )
    ]
)
